ELInterpreterFactory.DefaultELInterpreter (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: ELInterpreterFactory, class: DefaultELInterpreter

# Class ELInterpreterFactory.DefaultELInterpreter

java.lang.Object
org.apache.jasper.compiler.ELInterpreterFactory.DefaultELInterpreter

All Implemented Interfaces:
  `ELInterpreter`

Enclosing class:
  `ELInterpreterFactory`

public static class ELInterpreterFactory.DefaultELInterpreter extends Object implements ELInterpreter
Default implementation of `ELInterpreter` that delegates to `JspUtil.interpreterCall(boolean, String, Class, String)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultELInterpreter()`
  Creates a new DefaultELInterpreter instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `interpreterCall(JspCompilationContext context, boolean isTagFile, String expression, Class<?> expectedType, String fnmapvar)`
  Returns the string representing the code that will be inserted into the servlet generated for JSP.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultELInterpreter

    public DefaultELInterpreter()
    Creates a new DefaultELInterpreter instance.

- ## Method Details

  - ### interpreterCall

    public String interpreterCall(JspCompilationContext context, boolean isTagFile, String expression, Class<?> expectedType, String fnmapvar)
    Description copied from interface: `ELInterpreter`
    Returns the string representing the code that will be inserted into the servlet generated for JSP. The default implementation creates a call to `PageContextImpl.proprietaryEvaluate(String, Class, jakarta.servlet.jsp.PageContext, org.apache.jasper.runtime.ProtectedFunctionMapper)` but other implementations may produce more optimised code.
    Specified by:
      `interpreterCall` in interface `ELInterpreter`
    Parameters:
      `context` - The compilation context
      `isTagFile` - `true` if in a tag file rather than a JSP
      `expression` - a String containing zero or more "${}" expressions
      `expectedType` - the expected type of the interpreted result
      `fnmapvar` - Variable pointing to a function map.
    Returns:
      a String representing a call to the EL interpreter.